<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
BTreeCursor..::.Recno Method (LockingInfo)
BTreeCursor Class See Also Send Feedback

Return the record number associated with the cursor's current position.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public uint Recno(
    	LockingInfo info
    )

Visual Basic (Declaration)

    Public Function Recno ( _
    	info As LockingInfo _
    ) As UInteger

Visual C++

    public:
    unsigned int Recno(
    	LockingInfo^ info
    )

#### Parameters

info
  Type: BerkeleyDB..::.LockingInfo
  The locking behavior to use

#### Return Value

The record number associated with the cursor.

# See Also

BTreeCursor Class
Recno Overload
BerkeleyDB Namespace